# subroutine to extract the date and time from specified fields of a line 
# and convert it to seconds. Field separators are blanks, tabs, and newlines.
#
# Calling sequence:  $sec = &ext_time ($line, $field1, $field2);
#   Example:  If the line looked like: 
#	DSN_Contact  1997/06/02 01:45:00 1997/06/02 02:40:00  00h55m D46
#   and you wanted the start time (columns 2 and 3) in seconds, the call would be:
#	$sec = &ext_time ($line, 1, 2);
#
# kim  1/18/98 
# note - ext_time replaces get_time, which was less general

@INC = (@INC, "/u/ecs/util");
require "ymdtime_to_sec.pl";

sub ext_time {
        local($line) = $_[0];
	local($field1) = $_[1];
	local($field2) = $_[2];

	# get rid of leading blanks in line, and split into separate fields

	$line =~ s/^ +//g;
        local(@words) = split (/[ \t\n]+/, $line);

	# if selected fields are valid, call ymdtime_to_sec to convert to seconds.

	local($sec) = 0.;
	if ( $field1 <= $#words  &&  $field2 <= $#words ) 
		{local($sec) = &ymdtime_to_sec ($words[$field1], $words[$field2]);}
	#print "in ext_time, sec = $sec \n";
        return $sec;
}
1;
